<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">58</item> <!-- min brite -->
  <item name="bluetooth.active">97</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">292</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>
  <item name="wifi.active">139</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item> <!-- k3v5 -->
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">4800</item> <!-- 4800mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>4</value>
    <value>3</value>
    <value>1</value>
  </array>
  <array name="cpu.core_speeds.cluster0">
    <value>300000</value>
    <value>441600</value>
    <value>556800</value>
    <value>691200</value>
    <value>806400</value>
    <value>940800</value>
    <value>1056000</value>
    <value>1132800</value>
    <value>1228800</value>
    <value>1324800</value>
    <value>1440000</value>
    <value>1555200</value>
    <value>1670400</value>
    <value>1804800</value>
  </array>
  <array name="cpu.core_speeds.cluster1">
    <value>633600</value>
    <value>768000</value>
    <value>883200</value>
    <value>998400</value>
    <value>1113600</value>
    <value>1209600</value>
    <value>1324800</value>
    <value>1440000</value>
    <value>1555200</value>
    <value>1651200</value>
    <value>1766400</value>
    <value>1881600</value>
    <value>1996800</value>
    <value>2112000</value>
    <value>2227200</value>
    <value>2342400</value>
    <value>2496000</value>
  </array>
  <array name="cpu.core_speeds.cluster2">
    <value>787200</value>
    <value>921600</value>
    <value>1036800</value>
    <value>1171200</value>
    <value>1286400</value>
    <value>1401600</value>
    <value>1536000</value>
    <value>1651200</value>
    <value>1766400</value>
    <value>1881600</value>
    <value>1996800</value>
    <value>2131200</value>
    <value>2246400</value>
    <value>2361600</value>
    <value>2476800</value>
    <value>2592000</value>
    <value>2707200</value>
    <value>2822400</value>
    <value>2918400</value>
    <value>2995200</value>
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">5</item> <!-- k3v5 -->
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">21</item> <!-- k3v5 -->
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
    <value>18</value>
    <value>26</value>
    <value>36</value>
    <value>50</value>
    <value>58</value>
    <value>70</value>
    <value>82</value>
    <value>94</value>
    <value>114</value>
    <value>131</value>
    <value>159</value>
    <value>177</value>
    <value>218</value>
    <value>258</value>
  </array>
  <array name="cpu.core_power.cluster1">
    <value>103</value>
    <value>131</value>
    <value>148</value>
    <value>167</value>
    <value>198</value>
    <value>223</value>
    <value>256</value>
    <value>278</value>
    <value>302</value>
    <value>331</value>
    <value>358</value>
    <value>382</value>
    <value>423</value>
    <value>484</value>
    <value>524</value>
    <value>578</value>
    <value>627</value>
  </array>
  <array name="cpu.core_power.cluster2">
    <value>141</value>
    <value>168</value>
    <value>190</value>
    <value>214</value>
    <value>237</value>
    <value>276</value>
    <value>313</value>
    <value>342</value>
    <value>379</value>
    <value>419</value>
    <value>464</value>
    <value>514</value>
    <value>568</value>
    <value>614</value>
    <value>667</value>
    <value>736</value>
    <value>797</value>
    <value>894</value>
    <value>969</value>
    <value>1026</value>
  </array>
</device>